ShopGUI+ Problems?

Discussion in 'Spigot Plugin Help' started by InadequatBuilder, Feb 11, 2020.

  1. I am trying to use ShopGUI+ on a private factions server with some friends and have run into some problems.

    whenever I start up the server, I just get this "Shop failed to load. Please check the server log for errors"
    and in the logs I see this:
    "[02:51:18] [Server thread/INFO]: [ShopGUIPlus] Enabling ShopGUIPlus v1.20.6
    [02:51:18] [Server thread/ERROR]: Error occurred while enabling ShopGUIPlus v1.20.6 (Is it up to date?)"
    even though I have the latest version.

    I have the following plugins (if these matter)
    • LuckPerms
    • ShopGUIPlus
    • Essentials
    • EssentialsGeoIP
    • EssentialsChat
    • EssentialsSpawn
    • EssentialsAntiBuild
    • MassiveCore
    • dynamap
    • Factions
    • EssentialsXMPP
    • EssentialsProtect
    • SilkSpawners
    • ShopGUIPlusSilkSpawnerBridge
    any support would be greatly appreciated! Thanks!
     
  2. We need the rest of the logs. The error stack trace is right after the "is it up to date?" message
     
  3. so sorry about that, here.
     

    Attached Files:

  4. Dude you need vault for it to properly work
     
  5. ah crap,I completely forgot vault exists, thanks.
     
  6. I hope you aren't using a leaked ShopGuiPlus. I hope I'm wrong about you, but I don't see a reason for using a version that is outdated. The latest is 1.25.1. You're using a version that was from 2019 of Sept. (Ignore the other plugins shown in the screenshot below))

    [​IMG]

    [​IMG]
     
    • Winner Winner x 1